Bug 106763 - LTC4863-Dummy.o module not built into rhel3
LTC4863-Dummy.o module not built into rhel3
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
s390 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-10-10 09:09 EDT by Jeffrey Bisti
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-11 11:24:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeffrey Bisti 2003-10-10 09:09:16 EDT
The following has be reported by IBM LTC:  
Dummy.o module not built into rhel3 release
Hardware Environment:

Software Environment:
31/64 bit rhel builds guests under VM

Steps to Reproduce:
1. insmod dummy
2. ifconfig dummy0 [vipa address]
3. echo add_vipa4 [hex version of ip address]:[interface1] > /proc/qeth_ipa_takeover
4. echo add_vipa4 [hex version of ip address]:[interface2] > /proc/qeth_ipa_takeover

Actual Results:
insmod: dummy: no module by that name found

Expected Results:
insmod dummy
Using /lib/modules/2.4.21-07.1-s390default/kernel/drivers/net/dummy.o
ifconfig dummy0
ifconfig dummy0
dummy0    Link encap:Ethernet  HWaddr 00:00:00:00:00:00
          inet addr:  Bcast:  Mask:
          inet6 addr: fe80::200:ff:fe00:0/64 Scope:Link
          UP BROADCAST RUNNING NOARP  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:0 (0.0 b)  TX bytes:70 (70.0 b)

Additional Information:
We need a not-real interface to put the vipa address on, which typically is done
through a dummy network interface. This is required to do source vipa, as two
additional osa cards will be configured with that vipa address. 

Also, the qethconf command, which can be used to query the chpids and retrieve
their configured vipas in decimal is not included.
Comment 1 Arjan van de Ven 2003-10-10 09:13:55 EDT
Pete: it appears s390 explicitly disables dummy in the config... do you remember
why that override is in ?
Comment 2 Pete Zaitcev 2003-10-10 14:12:10 EDT
I was always like that and not a regression against our Mach1 product.
I think it was inherited that way from the port made by Huntsville group.
I see no problem in turning this into FZ request or RFE and expediting it.
Comment 3 Pete Zaitcev 2003-10-23 00:11:16 EDT
Modified in 2.4.21-4.5.EL
Comment 4 Bill Goodrich 2003-10-28 17:21:38 EST
Subject: [Bug 4863]  - RH106763 Dummy.o module not built into rhel3 release
Importance: normal
References: <4863.bugzilla@linux.ibm.com>
In-Reply-To: <4863.bugzilla@linux.ibm.com>
X-Bugzilla-Reason: AssignedTo QAcontact
X-Bugzilla-Family: zSeries Development
Message-Id: <20031014165344.A4A7F93B67@smtp.linux.ibm.com>
Date: Tue, 14 Oct 2003 12:53:44 -0400 (EDT)

Do not reply to this note.  It was sent by a machine.  Instead append your
comments to the bug at the URL below.


jbisti@us.ibm.com changed:

           What    |Removed                     |Added
            Summary|RH106783 Dummy.o module not |RH106763 Dummy.o module not
                   |built into rhel3 release    |built into rhel3 release 
Comment 5 Bill Nottingham 2004-10-11 11:24:48 EDT
Closing MODIFIED bugs as fixed. Please reopen if the problem perists.
Comment 6 Ernie Petrides 2004-12-02 21:12:34 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.